import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/websit/sales/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/websit/sales/list/export',
    data,
    name
  })
}

export function listImportM(data) {
	return handleImport('/websit/sales/m/import', data.formdata, data.id || '')
}

export function listImportP(data) {
	return handleImport('/websit/sales/p/import', data.formdata, data.id || '')
}

// 新增
export function add(data) {
  return request({
    url: `/websit/sales/add`,
    method: 'post',
    data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: `/websit/sales/edit`,
    method: 'post',
    data
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/websit/sales/detail`,
    method: 'post',
    params
  })
}

// 提交
export function submit(params) {
  return request({
    url: `/websit/sales/submit`,
    method: 'post',
    params
  })
}

// 审核
export function confirm(params) {
  return request({
    url: `/websit/sales/confirm`,
    method: 'post',
    params
  })
}

// 支付二维码
export function getCode(params) {
  return request({
    url: `/websit/sales/generate/pay/code`,
    method: 'post',
    params
  })
}

export function getWorker(data) {
  return request({
    url: `/member/list/page2`,
    method: 'post',
    data
  })
}

export function getCategory(params) {
  return request({
    url: `/websit/sales/exist/stock/category`,
    method: 'post',
    params
  })
}

export function getGoods(params) {
  return request({
    url: `/websit/sales/exist/stock/goods`,
    method: 'post',
    params
  })
}

export function getProject(data) {
  return request({
    url: `/order/engin/base/list`,
    method: 'post',
    data
  })
}

export function getProjectCollectionList(params) {
  return request({
    url: `/order/engin/manger/detailPrice`,
    method: 'post',
    params
  })
}

export function queryImportResult(params) {
  return request({
    url: `/websit/sales/query/import/result`,
    method: 'post',
    params
  })
}